Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Interface IPane

All Known Implementing Classes:
  IPaneLight, PIGraphics3D

    public interface IPane

A pane object to provide one rectangular area to draw objects. One pane is associated with one IView and INavigator and retained by IPanel.

Version:
  0.7.1.0;
Author:
  Satoru Sugihara
See Also:
  `IView`, `INavigator`, `IPanel`

Method Summary
`boolean` | `contains(int x, int y)`
`void` | `draw(IGraphics g)`
`void` | `focus()` Focus view on objects
`void` | `focus(java.util.ArrayList<IObject> e)` Focus view on objects
`void` | `focusGained(java.awt.event.FocusEvent e)`
`void` | `focusLost(java.awt.event.FocusEvent e)`
`java.awt.Color` | `getBorderColor()`
`java.awt.Stroke` | `getBorderStroke()`
`float` | `getBorderWidth()`
`int` | `getHeight()`
`IPanel` | `getPanel()`
`IView` | `getView()`
`int` | `getWidth()`
`int` | `getX()`
`int` | `getY()`
`boolean` | `isVisible()`
`void` | `keyPressed(java.awt.event.KeyEvent e)`
`void` | `keyReleased(java.awt.event.KeyEvent e)`
`void` | `keyTyped(java.awt.event.KeyEvent e)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseDragged(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`void` | `mouseWheelMoved(java.awt.event.MouseWheelEvent e)`
`INavigator` | `navigator()`
`void` | `setBorderColor(java.awt.Color c)`
`void` | `setBorderWidth(float b)`
`void` | `setBounds(int x, int y, int w, int h)`
`void` | `setLocation(int x, int y)`
`void` | `setPanel(IPanel p)`
`void` | `setSize(int width, int height)`
`void` | `setView(IView view)`
`void` | `setVisible(boolean v)`

Method Detail

### setLocation

    void setLocation(int x,
                     int y)

### setSize

    void setSize(int width,
                 int height)

### getX

    int getX()

### getY

    int getY()

### getWidth

    int getWidth()

### getHeight

    int getHeight()

### isVisible

    boolean isVisible()

### setVisible

    void setVisible(boolean v)

### contains

    boolean contains(int x,
                     int y)

### setPanel

    void setPanel(IPanel p)

### getPanel

    IPanel getPanel()

### setBorderWidth

    void setBorderWidth(float b)

### getBorderWidth

    float getBorderWidth()

### getBorderStroke

    java.awt.Stroke getBorderStroke()

### setBorderColor

    void setBorderColor(java.awt.Color c)

### getBorderColor

    java.awt.Color getBorderColor()

### navigator

    INavigator navigator()

### setBounds

    void setBounds(int x,
                   int y,
                   int w,
                   int h)

### setView

    void setView(IView view)

### getView

    IView getView()

### draw

    void draw(IGraphics g)

### focus

    void focus()

  Focus view on objects

### focus

    void focus(java.util.ArrayList<IObject> e)

  Focus view on objects

### mousePressed

    void mousePressed(java.awt.event.MouseEvent e)

### mouseReleased

    void mouseReleased(java.awt.event.MouseEvent e)

### mouseClicked

    void mouseClicked(java.awt.event.MouseEvent e)

### mouseEntered

    void mouseEntered(java.awt.event.MouseEvent e)

### mouseExited

    void mouseExited(java.awt.event.MouseEvent e)

### mouseMoved

    void mouseMoved(java.awt.event.MouseEvent e)

### mouseDragged

    void mouseDragged(java.awt.event.MouseEvent e)

### mouseWheelMoved

    void mouseWheelMoved(java.awt.event.MouseWheelEvent e)

### keyPressed

    void keyPressed(java.awt.event.KeyEvent e)

### keyReleased

    void keyReleased(java.awt.event.KeyEvent e)

### keyTyped

    void keyTyped(java.awt.event.KeyEvent e)

### focusLost

    void focusLost(java.awt.event.FocusEvent e)

### focusGained

    void focusGained(java.awt.event.FocusEvent e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD